Page MenuHomePhabricator

Requesting access to restricted production access and analytics-privatedata-users for Ty Hargrove
Closed, ResolvedPublic

Description

Username: thargrove (also ldap account and THargrove (WMF) on wikitech)
Full name: Ty Hargrove
SSH Key: ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAACAQDJO7wkp5QMmHB+/GiFTHhd8pMwQ+1yUXu4jV+mBpRcnO0wPa18UPI1jkF0arwmfF1IWOcjmHH/PZTYNOXWMAW9qVI54zWpZcPGrwM3GhSWIp0sDNvsJXjSPHjqs4YPtKZcF7drqc4n1N3NLrHcLcbzv+gUQJ/J+qZYBUZumb0yFwnK0wn5S9wk1YMuGptRivhh/zpC1y3bbDslBJ2fhEFjs7MR1PxRvvSDZj/dXYMyrqqnMHrpE065bPH9swvIlZTurxNCkOhoIWYMEBQkPC7B5wUfcFP3zqv3seSc1xMeOI7VpFIrByMU+MOht4Vcpn9exVJ217pQcRdA0GBsDhfsyqBqMQuiUTaUAI3lIjA7xQprl7T41wcghligZ5Maug4HjTZ5qKtGdspsP/uDgIKOqBkq8S/+V6GTBmQ0J3PkLW7u2zjhTueu45rTXc4EJ+DsWtd/wvGRL+1EjVaclRGGUAeIxSvCdn/Xiatd2lip2+F6lqhg10qriL2txTNxhLUSlyg66/bgn5moDizrF2sKRdR8ETOZoAtjjbHHku1OIILcj/H2zueihyD9YerI2n+JBBxHl6hZ6GO+pfhG5wQOKAcmzbjj3M+wi5LBlVc/4zQBl+VE5U8Q04wir+EnXFO8pZSRSds75GxC6SVCIcFpwWqwe4LwMCmCukm+SUOaRw==

I'd like to request access for @Thargrovewmf to what I believe will be the restricted group and analytics-privatedata-users (the same that I have). Trust and Safety has had a number of workflows requiring shell access and private analytics logs (hadoop). Many of our workflows (including these ones) have been increasing and the only two people on our team with access are myself and Joe Sutherland. This has caused some major bottleneck issues at times and we want to expand the available people within our team to include other members of the T&S Operations team which includes Ty.

Specifically some of the workflows she needs to be able to do (and I believe needs this access for):

  • Run maintenance scripts (mwmaint servers) to:
    • To remove 2FA for users who have lost their backup codes (after identity verification)
    • To add or reset user email addresses when locked out of their account (again after identity verification)
    • To permanently remove illegal images from the servers
  • Lookup private information such as user email addresses for legal or T&S investigations (such as urgent threats of harm or court orders).
  • Query webserver logs for private information such as IPs which have viewed certain pages (usually court orders)

Ty has already signed L3. @JanWMF is our people manager and I'll have him comment here in support. As always please let me know if any issues or questions.

SRE Clinic Duty Checklist for Access Requests

Most requirements are outlined on https://wikitech.wikimedia.org/wiki/Requesting_shell_access

This checklist should be used on all access requests to ensure that all steps are covered. This includes expansion to access. Please do not check off items on the list below unless you are in Ops and have confirmed the step.

  • - User has signed the L3 Acknowledgement of Wikimedia Server Access Responsibilities Document.
  • - User has a valid NDA on file with WMF legal. (This can be checked by Operations via the NDA tracking sheet & is included in all WMF Staff/Contractor hiring.)
  • - User has provided the following: wikitech username, preferred shell username, email address, and full reasoning for access (including what commands and/or tasks they expect to perform.
  • - User has provided a public SSH key. This ssh key pair should only be used for WMF cluster access, and not share with any other service (this includes not sharing with WMCS access, no shared keys.)
  • - access request (or expansion) has sign off of WMF sponsor/manager (sponser for volunteers, manager for wmf staff)
  • - non-sudo requests: 3 business day wait must pass with no objections being noted on the task
  • - Patchset for access request

Event Timeline

Restricted Application added a project: Operations. · View Herald TranscriptAug 21 2018, 8:40 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
RobH added subscribers: PEarleyWMF, RobH.EditedAug 21 2018, 7:36 PM

Please note that this ssh key was provided by @Jalexander and not the user themselves. As such, this has the same issue as the other two recent access request tasks:

So, here is my problem with this task. It appears that @Jalexander provided the public SSH key for @PEarleyWMF into the task description when he made it. I don't see any update to the task description until I pasted in the checklist, which is why I assume that @Jalexander pasted in the key.
This is not an acceptable means of verifying that the ssh key provided actually belongs to @pearlywmf. So, this cannot be finished processing until the SSH key is provided. Once @PEarleyWMF (NOT ANYONE ELSE) logs in and comments on this task, pasting his public ssh key, we can process it.
Apologies, but having party A provide the ssh key that supposedly belongs to party B just isn't good security practice. It is not personal, it is simply our policy.
I'll prepare the patchset's and simply not include the ssh key for now.

So for this one, the @Thargrovewmf will need to login and paste their ssh key on this task. Please note this key should be generated on your own system, and not shared on other systems. It should be dedicated to wmf production access only (not even shared with cloud services.)

RobH assigned this task to Thargrovewmf.Aug 21 2018, 7:37 PM
RobH triaged this task as Normal priority.
RobH updated the task description. (Show Details)
RobH updated the task description. (Show Details)
RobH moved this task from Untriaged to Awaiting User Input on the SRE-Access-Requests board.
RobH removed a subscriber: PEarleyWMF.

ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAACAQDJO7wkp5QMmHB+/GiFTHhd8pMwQ+1yUXu4jV+mBpRcnO0wPa18UPI1jkF0arwmfF1IWOcjmHH/PZTYNOXWMAW9qVI54zWpZcPGrwM3GhSWIp0sDNvsJXjSPHjqs4YPtKZcF7drqc4n1N3NLrHcLcbzv+gUQJ/J+qZYBUZumb0yFwnK0wn5S9wk1YMuGptRivhh/zpC1y3bbDslBJ2fhEFjs7MR1PxRvvSDZj/dXYMyrqqnMHrpE065bPH9swvIlZTurxNCkOhoIWYMEBQkPC7B5wUfcFP3zqv3seSc1xMeOI7VpFIrByMU+MOht4Vcpn9exVJ217pQcRdA0GBsDhfsyqBqMQuiUTaUAI3lIjA7xQprl7T41wcghligZ5Maug4HjTZ5qKtGdspsP/uDgIKOqBkq8S/+V6GTBmQ0J3PkLW7u2zjhTueu45rTXc4EJ+DsWtd/wvGRL+1EjVaclRGGUAeIxSvCdn/Xiatd2lip2+F6lqhg10qriL2txTNxhLUSlyg66/bgn5moDizrF2sKRdR8ETOZoAtjjbHHku1OIILcj/H2zueihyD9YerI2n+JBBxHl6hZ6GO+pfhG5wQOKAcmzbjj3M+wi5LBlVc/4zQBl+VE5U8Q04wir+EnXFO8pZSRSds75GxC6SVCIcFpwWqwe4LwMCmCukm+SUOaRw== thargrove@wmf1964.local

Jalexander removed Thargrovewmf as the assignee of this task.Aug 23 2018, 10:33 PM
RobH added a comment.Aug 27 2018, 5:58 PM

This was approved in today's SRE team meeting.

ArielGlenn updated the task description. (Show Details)Aug 28 2018, 10:54 AM

Change 455813 had a related patch set uploaded (by ArielGlenn; owner: ArielGlenn):
[operations/puppet@production] add Ty Hargrove to shell users

https://gerrit.wikimedia.org/r/455813

Change 455813 merged by ArielGlenn:
[operations/puppet@production] add Ty Hargrove to shell users

https://gerrit.wikimedia.org/r/455813

Change 455814 had a related patch set uploaded (by ArielGlenn; owner: ArielGlenn):
[operations/puppet@production] add thargrove to restricted and analytics-privatedata-users

https://gerrit.wikimedia.org/r/455814

Change 455814 merged by ArielGlenn:
[operations/puppet@production] add thargrove to restricted and analytics-privatedata-users

https://gerrit.wikimedia.org/r/455814

ArielGlenn updated the task description. (Show Details)Aug 28 2018, 11:15 AM
ArielGlenn added a subscriber: ArielGlenn.

As soon as the user verifies that access works as expected, we can close this ticket.

Hey @Thargrovewmf please let us know that access to the logs and to mwmaint servers works, and we'll close this ticket.

MoritzMuehlenhoff closed this task as Resolved.Sep 14 2018, 7:13 AM

Closing the task, please reopen if it doesn't work for you.